Skip to main content
GET
/
v2
/
x402
/
discovery
/
merchant
List merchant discovery info
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/x402/discovery/merchant \
  --header 'Authorization: Bearer <token>'
{
  "x402Version": 2,
  "payTo": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
  "resources": [
    {
      "resource": "https://api.example.com/premium/data",
      "description": "Premium API access for data analysis.",
      "type": "http",
      "x402Version": 2,
      "lastUpdated": "2024-01-15T10:30:00Z",
      "accepts": [
        {
          "scheme": "exact",
          "network": "eip155:8453",
          "amount": "1000000",
          "payTo": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
          "asset": "0x036CbD53842c5426634e7929541eC2318f3dCF7e",
          "maxTimeoutSeconds": 60
        }
      ],
      "extensions": {
        "bazaar": {
          "info": {
            "input": {
              "type": "http",
              "method": "POST"
            }
          },
          "schema": {}
        }
      },
      "quality": {
        "l30DaysTotalCalls": 42,
        "l30DaysUniquePayers": 15,
        "lastCalledAt": "2024-01-15T10:30:00Z"
      },
      "serviceName": "Premium Data API",
      "tags": [
        "data",
        "analytics"
      ]
    }
  ],
  "pagination": {
    "limit": 20,
    "offset": 0,
    "total": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

payTo
string
required

The merchant's payment address to look up. This is the onchain address that payment requirements route funds to. A blockchain address. Format varies by network (e.g., 0x-prefixed for EVM, base58 for Solana).

Required string length: 1 - 128
Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

limit
integer
default:20

The number of resources to return per page.

offset
integer
default:0

The offset of the first resource to return.

Response

Successfully retrieved merchant discovery info.

Response containing x402 resources associated with a merchant payment address.

x402Version
enum<integer>
required

The version of the x402 protocol.

Available options:
1,
2
Example:

2

payTo
string
required

A blockchain address. Format varies by network (e.g., 0x-prefixed for EVM, base58 for Solana).

Required string length: 1 - 128
Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

resources
object[]
required

List of discovered x402 resources associated with the merchant's payTo address.

Example:
[
{
"resource": "https://api.example.com/premium/data",
"description": "Premium API access for data analysis.",
"type": "http",
"x402Version": 2,
"lastUpdated": "2024-01-15T10:30:00Z",
"accepts": [
{
"scheme": "exact",
"network": "eip155:8453",
"amount": "1000000",
"payTo": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"asset": "0x036CbD53842c5426634e7929541eC2318f3dCF7e",
"maxTimeoutSeconds": 60
}
],
"extensions": {
"bazaar": {
"info": {
"input": { "type": "http", "method": "POST" }
},
"schema": {}
}
},
"quality": {
"l30DaysTotalCalls": 42,
"l30DaysUniquePayers": 15,
"lastCalledAt": "2024-01-15T10:30:00Z"
},
"serviceName": "Premium Data API",
"tags": ["data", "analytics"]
}
]
pagination
object
required

Pagination information for the response.

Example:
{ "limit": 20, "offset": 0, "total": 10 }